#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=libva
if ! [[ -d "$pkg" ]]
then
  git clone https://github.com/intel/libva.git
fi
cd "$pkg"

if ! [[ -f configure ]] && [[ -f autogen.sh ]]
then
  bash autogen.sh
elif ! [[ -f configure ]]
then
  echo "NO WAY TO CONFIGURE?, CMAKE?"
  exit 1
fi

make clean
make distclean
./configure \
    --enable-drm \
    --enable-shared \
    --enable-static \
    --prefix="/app/ffmpeg/install/"

make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

