#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=libvpx
if ! [[ -d "$pkg" ]]
then
  git clone https://github.com/webmproject/libvpx/ 
fi
cd "$pkg"

if ! [[ -f configure ]] && [[ -f autogen.sh ]]
then
  bash autogen.sh
elif ! [[ -f configure ]]
then
  echo "NO WAY TO CONFIGURE?, CMAKE?"
  exit 1
fi

make clean
make distclean
./configure \
    --enable-runtime-cpu-detect \
    --enable-vp9 \
    --enable-vp8 \
    --enable-postproc \
    --enable-vp9-postproc \
    --enable-multi-res-encoding \
    --enable-webm-io \
    --enable-vp9-highbitdepth \
    --enable-onthefly-bitpacking \
    --enable-realtime-only \
    --enable-better-hw-compatibility \
    --disable-unit-tests \
    --as=nasm \
    --prefix="/app/ffmpeg/install/"

make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

