#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=MediaSDK
if ! [[ -d "$pkg" ]]
then
  git clone https://github.com/Intel-Media-SDK/MediaSDK.git
fi

#Unsure if still needed:
sed -i "1s/^/#include <stdint.h>\n/" ./MediaSDK/api/mfx_dispatch/linux/mfxparser.cpp

cd "$pkg"

mkdir -p build
cd build
make clean
cmake \
    -DCMAKE_INSTALL_PREFIX="/app/ffmpeg/install/" \
    -DENABLE_X11_DRI3=ON \
    -DENABLE_WAYLAND=ON \
    ../


make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

