#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=media-driver
if ! [[ -d "$pkg" ]]
then
  git clone https://github.com/intel/media-driver.git
fi
cd "$pkg"

mkdir -p build
cd build
make clean
cmake \
    -DCMAKE_INSTALL_PREFIX="/app/ffmpeg/install/" \
    -DMEDIA_BUILD_FATAL_WARNINGS=OFF \
    ../

#    -DCMAKE_C_FLAGS="-O1 -Wno-error=overloaded-virtual" \
#    -DCMAKE_CXX_FLAGS="-O1 -Wno-error=overloaded-virtual" \
#    -DCMAKE_Fortran_FLAGS="-O1 -Wno-error=overloaded-virtual" \

make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

