#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=x264
if ! [[ -d "$pkg" ]]
then
  git clone https://code.videolan.org/videolan/x264.git
fi
cd "$pkg"

if ! [[ -f configure ]] && [[ -f autogen.sh ]]
then
  bash autogen.sh
elif ! [[ -f configure ]]
then
  echo "NO WAY TO CONFIGURE?, CMAKE?"
  exit 1
fi

make clean
make distclean
./configure \
    --prefix="/app/ffmpeg/install/"

#    --disable-asm \

make -j8 
if make
then
  make install
  make install-lib-dev
  make install-lib-shared
  make install-lib-static
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

