#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg=x265_git
if ! [[ -d "$pkg" ]]
then
  git clone https://bitbucket.org/multicoreware/x265_git
fi
cd "$pkg"

mkdir -p build
cd build
make clean
cmake \
    -DCMAKE_INSTALL_PREFIX="/app/ffmpeg/install/" \
    ../source/

make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

